def gv

pipeline {
    agent any
    stages {
        stage("init") {
            steps {
                script {
                    gv = load "script.groovy"
                }
            }
        }
        stage("build jar") {
            steps {
                script {
                    echo "building jar"
                    //gv.buildJar()
                }
            }
        }
        stage("build image") {
            steps {
                script {
                    echo "building image"
                    //gv.buildImage()
                }
            }
        }
        stage("deploy") {
            steps {
                script {
                    def dockerCmd = ' docker run -p 3080:3080 veerushiva/myrep:myapp-5.0 '
                    echo "deploying"
                    sshagent(['ec2-server-key'])
                    sh "ssh  -o StrictHostKeyCHecking=no ec2-user@3.108.234.180 ${dockerCmd}"
                    //gv.deployApp()
                }
            }
        }
    }   
}
